<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.kyTask.mapper.KyTaskInfoMapper">
    
    <resultMap type="KyTaskInfo" id="KyTaskInfoResult">
        <result property="key"    column="key"    />
        <result property="taskno"    column="taskno"    />
        <result property="taskname"    column="taskname"    />
        <result property="modelId"    column="modelId"    />
        <result property="ywbkid"    column="ywbkid"    />
        <result property="ywbkname"    column="ywbkname"    />
        <result property="xhid"    column="xhid"    />
        <result property="xhname"    column="xhname"    />
        <result property="zrbm"    column="zrbm"    />
        <result property="yzsl"    column="yzsl"    />
        <result property="mjid"    column="mjid"    />
        <result property="mjname"    column="mjname"    />
        <result property="fxtid"    column="fxtid"    />
        <result property="fxtname"    column="fxtname"    />
        <result property="yzjdid"    column="yzjdid"    />
        <result property="yzjdname"    column="yzjdname"    />
        <result property="tcdw"    column="tcdw"    />
        <result property="brief"    column="brief"    />
        <result property="rwnr"    column="rwnr"    />
        <result property="wcxs"    column="wcxs"    />
        <result property="jylbid"    column="jylbid"    />
        <result property="jylbname"    column="jylbname"    />
        <result property="hxzxid"    column="hxzxid"    />
        <result property="hxzxname"    column="hxzxname"    />
        <result property="jjid"    column="jjid"    />
        <result property="jjname"    column="jjname"    />
        <result property="wzktid"    column="wzktid"    />
        <result property="wzktname"    column="wzktname"    />
        <result property="bz"    column="bz"    />
        <result property="status"    column="status"    />
        <result property="jhkssj"    column="jhkssj"    />
        <result property="jhwcsj"    column="jhwcsj"    />
        <result property="jycsid"    column="jycsid"    />
        <result property="jycs"    column="jycs"    />
        <result property="jyfzrid"    column="jyfzrid"    />
        <result property="jyfzrname"    column="jyfzrname"    />
        <result property="ztdd"    column="ztdd"    />
        <result property="ztddname"    column="ztddname"    />
        <result property="sybdd"    column="sybdd"    />
        <result property="sybddname"    column="sybddname"    />
        <result property="ywfzr"    column="ywfzr"    />
        <result property="ywfzrname"    column="ywfzrname"    />
        <result property="zlgcs"    column="zlgcs"    />
        <result property="zlgcsname"    column="zlgcsname"    />
        <result property="cpbzr"    column="cpbzr"    />
        <result property="cpbzrname"    column="cpbzrname"    />
        <result property="sjkssj"    column="sjkssj"    />
        <result property="sjwcsj"    column="sjwcsj"    />
        <result property="avidm"    column="avidm"    />
        <result property="lrsj"    column="lrsj"    />
        <result property="xhzzr"    column="xhzzr"    />
        <result property="xhzzrname"    column="xhzzrname"    />
        <result property="csbh"    column="csbh"    />
        <result property="ywcs"    column="ywcs"    />
        <result property="ID"    column="ID"    />
        <result property="PNCode"    column="PNCode"    />
        <result property="Emergent"    column="Emergent"    />
        <result property="zrbmGuid"    column="zrbm_guid"    />
        <result property="businessMan"    column="businessMan"    />
        <result property="auditPrice"    column="auditPrice"    />
        <result property="tasktype"    column="tasktype"    />
        <result property="tasktypes"    column="tasktypes"    />
        <result property="processPercent"    column="processPercent"    />
        <result property="estimationCoat"    column="estimationCoat"    />
        <result property="iflag"    column="iflag"    />
        <result property="processDate"    column="processDate"    />
        <result property="processUser"    column="processUser"    />
        <result property="refTaskNo"    column="refTaskNo"    />
        <result property="warranty"    column="warranty"    />
        <result property="warrantyUnit"    column="warrantyUnit"    />
        <result property="contractLimit"    column="contractLimit"    />
        <result property="businessManName"    column="businessManName"    />
        <result property="pccode"    column="pccode"    />
        <result property="bccode"    column="bccode"    />
        <result property="blcode"    column="blcode"    />
        <result property="gdtext"    column="gdtext"    />
        <result property="contractsign"    column="contractsign"    />
        <result property="thirdparty"    column="thirdparty"    />
        <result property="khkk"    column="khkk"    />
        <result property="currenttask"    column="currenttask"    />
        <result property="isunittestproject"    column="isunittestproject"    />
        <result property="gkdj"    column="gkdj"    />
        <result property="zjname"    column="zjname"    />
        <result property="zhuazhorgidname"    column="zhuazhorgidname"    />
        <result property="specialtask"    column="specialtask"    />
        <result property="mainprojectno"    column="mainprojectno"    />
        <result property="htyf"    column="htyf"    />
        <result property="isjues"    column="isjues"    />
        <result property="projectaccountno"    column="projectaccountno"    />
        <result property="projectgatherno"    column="projectgatherno"    />
        <result property="jxno"    column="jxno"    />
        <result property="issendtogongchzhx"    column="issendtogongchzhx"    />
        <result property="application"    column="application"    />
        <result property="pay"    column="pay"    />
        <result property="reviewer"    column="reviewer"    />
        <result property="softwaretype1"    column="softwaretype1"    />
        <result property="software"    column="software"    />
        <result property="foreigntrade"    column="foreigntrade"    />
        <result property="jfqk"    column="jfqk"    />
        <result property="wzsbno"    column="wzsbno"    />
        <result property="productspec"    column="productspec"    />
        <result property="name"    column="name"    />
        <result property="briefname"    column="briefname"    />
        <result property="processpercent1"    column="processpercent1"    />
        <result property="estimationcoat1"    column="estimationcoat1"    />
        <result property="wzjhyname"    column="wzjhyname"    />
        <result property="warrantybasis"    column="warrantybasis"    />
        <result property="costprice"    column="costprice"    />
        <result property="isbaox"    column="isbaox"    />
        <result property="softwaretype"    column="softwaretype"    />
        <result property="ishavesoftware"    column="ishavesoftware"    />
        <result property="completeremark"    column="completeremark"    />
        <result property="zj"    column="zj"    />
        <result property="exampletest"    column="exampletest"    />
        <result property="taskarea"    column="taskarea"    />
        <result property="fundsfrom"    column="fundsfrom"    />
        <result property="examplequantity"    column="examplequantity"    />
        <result property="invoicetype"    column="invoicetype"    />
        <result property="cbgcsname"    column="cbgcsname"    />
        <result property="producttype"    column="producttype"    />
        <result property="completeremarkdatetime"    column="completeremarkdatetime"    />
    </resultMap>

    <sql id="selectKyTaskInfoVo">
        select key, taskno, taskname, modelId, ywbkid, ywbkname, xhid, xhname, zrbm, yzsl, mjid, mjname, fxtid, fxtname, yzjdid, yzjdname, tcdw, brief, rwnr, wcxs, jylbid, jylbname, hxzxid, hxzxname, jjid, jjname, wzktid, wzktname, bz, status, jhkssj, jhwcsj, jycsid, jycs, jyfzrid, jyfzrname, ztdd, ztddname, sybdd, sybddname, ywfzr, ywfzrname, zlgcs, zlgcsname, cpbzr, cpbzrname, sjkssj, sjwcsj, avidm, lrsj, xhzzr, xhzzrname, csbh, ywcs, ID, PNCode, Emergent, zrbm_guid, businessMan, auditPrice, tasktype, tasktypes, processPercent, estimationCoat, iflag, processDate, processUser, refTaskNo, warranty, warrantyUnit, contractLimit, businessManName, pccode, bccode, blcode, gdtext, contractsign, thirdparty, khkk, currenttask, isunittestproject, gkdj, zjname, zhuazhorgidname, specialtask, mainprojectno, htyf, isjues, projectaccountno, projectgatherno, jxno, issendtogongchzhx, application, pay, reviewer, softwaretype1, software, foreigntrade, jfqk, wzsbno, productspec, name, briefname, processpercent1, estimationcoat1, wzjhyname, warrantybasis, costprice, isbaox, softwaretype, ishavesoftware, completeremark, zj, exampletest, taskarea, fundsfrom, examplequantity, invoicetype, cbgcsname, producttype, completeremarkdatetime from ky_task_info
    </sql>

    <select id="selectKyTaskInfoList" parameterType="KyTaskInfo" resultMap="KyTaskInfoResult">
        <include refid="selectKyTaskInfoVo"/>
        <where>  
            <if test="taskno != null  and taskno != ''"> and taskno = #{taskno}</if>
            <if test="taskname != null  and taskname != ''"> and taskname like concat('%', #{taskname}, '%')</if>
            <if test="modelId != null "> and modelId = #{modelId}</if>
            <if test="ywbkid != null "> and ywbkid = #{ywbkid}</if>
            <if test="ywbkname != null  and ywbkname != ''"> and ywbkname like concat('%', #{ywbkname}, '%')</if>
            <if test="xhid != null  and xhid != ''"> and xhid = #{xhid}</if>
            <if test="xhname != null  and xhname != ''"> and xhname like concat('%', #{xhname}, '%')</if>
            <if test="zrbm != null  and zrbm != ''"> and zrbm = #{zrbm}</if>
            <if test="yzsl != null "> and yzsl = #{yzsl}</if>
            <if test="mjid != null "> and mjid = #{mjid}</if>
            <if test="mjname != null  and mjname != ''"> and mjname like concat('%', #{mjname}, '%')</if>
            <if test="fxtid != null "> and fxtid = #{fxtid}</if>
            <if test="fxtname != null  and fxtname != ''"> and fxtname like concat('%', #{fxtname}, '%')</if>
            <if test="yzjdid != null "> and yzjdid = #{yzjdid}</if>
            <if test="yzjdname != null  and yzjdname != ''"> and yzjdname like concat('%', #{yzjdname}, '%')</if>
            <if test="tcdw != null  and tcdw != ''"> and tcdw = #{tcdw}</if>
            <if test="brief != null  and brief != ''"> and brief = #{brief}</if>
            <if test="rwnr != null  and rwnr != ''"> and rwnr = #{rwnr}</if>
            <if test="wcxs != null  and wcxs != ''"> and wcxs = #{wcxs}</if>
            <if test="jylbid != null  and jylbid != ''"> and jylbid = #{jylbid}</if>
            <if test="jylbname != null  and jylbname != ''"> and jylbname like concat('%', #{jylbname}, '%')</if>
            <if test="hxzxid != null "> and hxzxid = #{hxzxid}</if>
            <if test="hxzxname != null  and hxzxname != ''"> and hxzxname like concat('%', #{hxzxname}, '%')</if>
            <if test="jjid != null  and jjid != ''"> and jjid = #{jjid}</if>
            <if test="jjname != null  and jjname != ''"> and jjname like concat('%', #{jjname}, '%')</if>
            <if test="wzktid != null  and wzktid != ''"> and wzktid = #{wzktid}</if>
            <if test="wzktname != null  and wzktname != ''"> and wzktname like concat('%', #{wzktname}, '%')</if>
            <if test="bz != null  and bz != ''"> and bz = #{bz}</if>
            <if test="status != null  and status != ''"> and status = #{status}</if>
            <if test="jhkssj != null "> and jhkssj = #{jhkssj}</if>
            <if test="jhwcsj != null "> and jhwcsj = #{jhwcsj}</if>
            <if test="jycsid != null  and jycsid != ''"> and jycsid = #{jycsid}</if>
            <if test="jycs != null  and jycs != ''"> and jycs = #{jycs}</if>
            <if test="jyfzrid != null  and jyfzrid != ''"> and jyfzrid = #{jyfzrid}</if>
            <if test="jyfzrname != null  and jyfzrname != ''"> and jyfzrname like concat('%', #{jyfzrname}, '%')</if>
            <if test="ztdd != null  and ztdd != ''"> and ztdd = #{ztdd}</if>
            <if test="ztddname != null  and ztddname != ''"> and ztddname like concat('%', #{ztddname}, '%')</if>
            <if test="sybdd != null  and sybdd != ''"> and sybdd = #{sybdd}</if>
            <if test="sybddname != null  and sybddname != ''"> and sybddname like concat('%', #{sybddname}, '%')</if>
            <if test="ywfzr != null  and ywfzr != ''"> and ywfzr = #{ywfzr}</if>
            <if test="ywfzrname != null  and ywfzrname != ''"> and ywfzrname like concat('%', #{ywfzrname}, '%')</if>
            <if test="zlgcs != null  and zlgcs != ''"> and zlgcs = #{zlgcs}</if>
            <if test="zlgcsname != null  and zlgcsname != ''"> and zlgcsname like concat('%', #{zlgcsname}, '%')</if>
            <if test="cpbzr != null  and cpbzr != ''"> and cpbzr = #{cpbzr}</if>
            <if test="cpbzrname != null  and cpbzrname != ''"> and cpbzrname like concat('%', #{cpbzrname}, '%')</if>
            <if test="sjkssj != null "> and sjkssj = #{sjkssj}</if>
            <if test="sjwcsj != null "> and sjwcsj = #{sjwcsj}</if>
            <if test="avidm != null  and avidm != ''"> and avidm = #{avidm}</if>
            <if test="lrsj != null "> and lrsj = #{lrsj}</if>
            <if test="xhzzr != null  and xhzzr != ''"> and xhzzr = #{xhzzr}</if>
            <if test="xhzzrname != null  and xhzzrname != ''"> and xhzzrname like concat('%', #{xhzzrname}, '%')</if>
            <if test="csbh != null  and csbh != ''"> and csbh = #{csbh}</if>
            <if test="ywcs != null  and ywcs != ''"> and ywcs = #{ywcs}</if>
            <if test="ID != null  and ID != ''"> and ID = #{ID}</if>
            <if test="PNCode != null  and PNCode != ''"> and PNCode = #{PNCode}</if>
            <if test="Emergent != null  and Emergent != ''"> and Emergent = #{Emergent}</if>
            <if test="zrbmGuid != null  and zrbmGuid != ''"> and zrbm_guid = #{zrbmGuid}</if>
            <if test="businessMan != null  and businessMan != ''"> and businessMan = #{businessMan}</if>
            <if test="auditPrice != null  and auditPrice != ''"> and auditPrice = #{auditPrice}</if>
            <if test="tasktype != null  and tasktype != ''"> and tasktype = #{tasktype}</if>
            <if test="tasktypes != null  and tasktypes != ''"> and tasktypes = #{tasktypes}</if>
            <if test="processPercent != null  and processPercent != ''"> and processPercent = #{processPercent}</if>
            <if test="estimationCoat != null  and estimationCoat != ''"> and estimationCoat = #{estimationCoat}</if>
            <if test="iflag != null  and iflag != ''"> and iflag = #{iflag}</if>
            <if test="processDate != null "> and processDate = #{processDate}</if>
            <if test="processUser != null  and processUser != ''"> and processUser = #{processUser}</if>
            <if test="refTaskNo != null  and refTaskNo != ''"> and refTaskNo = #{refTaskNo}</if>
            <if test="warranty != null  and warranty != ''"> and warranty = #{warranty}</if>
            <if test="warrantyUnit != null  and warrantyUnit != ''"> and warrantyUnit = #{warrantyUnit}</if>
            <if test="contractLimit != null  and contractLimit != ''"> and contractLimit = #{contractLimit}</if>
            <if test="businessManName != null  and businessManName != ''"> and businessManName like concat('%', #{businessManName}, '%')</if>
            <if test="pccode != null  and pccode != ''"> and pccode = #{pccode}</if>
            <if test="bccode != null  and bccode != ''"> and bccode = #{bccode}</if>
            <if test="blcode != null  and blcode != ''"> and blcode = #{blcode}</if>
            <if test="gdtext != null  and gdtext != ''"> and gdtext = #{gdtext}</if>
            <if test="contractsign != null  and contractsign != ''"> and contractsign = #{contractsign}</if>
            <if test="thirdparty != null  and thirdparty != ''"> and thirdparty = #{thirdparty}</if>
            <if test="khkk != null  and khkk != ''"> and khkk = #{khkk}</if>
            <if test="currenttask != null  and currenttask != ''"> and currenttask = #{currenttask}</if>
            <if test="isunittestproject != null  and isunittestproject != ''"> and isunittestproject = #{isunittestproject}</if>
            <if test="gkdj != null  and gkdj != ''"> and gkdj = #{gkdj}</if>
            <if test="zjname != null  and zjname != ''"> and zjname like concat('%', #{zjname}, '%')</if>
            <if test="zhuazhorgidname != null  and zhuazhorgidname != ''"> and zhuazhorgidname like concat('%', #{zhuazhorgidname}, '%')</if>
            <if test="specialtask != null  and specialtask != ''"> and specialtask = #{specialtask}</if>
            <if test="mainprojectno != null  and mainprojectno != ''"> and mainprojectno = #{mainprojectno}</if>
            <if test="htyf != null  and htyf != ''"> and htyf = #{htyf}</if>
            <if test="isjues != null  and isjues != ''"> and isjues = #{isjues}</if>
            <if test="projectaccountno != null  and projectaccountno != ''"> and projectaccountno = #{projectaccountno}</if>
            <if test="projectgatherno != null  and projectgatherno != ''"> and projectgatherno = #{projectgatherno}</if>
            <if test="jxno != null  and jxno != ''"> and jxno = #{jxno}</if>
            <if test="issendtogongchzhx != null  and issendtogongchzhx != ''"> and issendtogongchzhx = #{issendtogongchzhx}</if>
            <if test="application != null  and application != ''"> and application = #{application}</if>
            <if test="pay != null  and pay != ''"> and pay = #{pay}</if>
            <if test="reviewer != null  and reviewer != ''"> and reviewer = #{reviewer}</if>
            <if test="softwaretype1 != null  and softwaretype1 != ''"> and softwaretype1 = #{softwaretype1}</if>
            <if test="software != null  and software != ''"> and software = #{software}</if>
            <if test="foreigntrade != null  and foreigntrade != ''"> and foreigntrade = #{foreigntrade}</if>
            <if test="jfqk != null  and jfqk != ''"> and jfqk = #{jfqk}</if>
            <if test="wzsbno != null  and wzsbno != ''"> and wzsbno = #{wzsbno}</if>
            <if test="productspec != null  and productspec != ''"> and productspec = #{productspec}</if>
            <if test="name != null  and name != ''"> and name like concat('%', #{name}, '%')</if>
            <if test="briefname != null  and briefname != ''"> and briefname like concat('%', #{briefname}, '%')</if>
            <if test="processpercent1 != null  and processpercent1 != ''"> and processpercent1 = #{processpercent1}</if>
            <if test="estimationcoat1 != null  and estimationcoat1 != ''"> and estimationcoat1 = #{estimationcoat1}</if>
            <if test="wzjhyname != null  and wzjhyname != ''"> and wzjhyname like concat('%', #{wzjhyname}, '%')</if>
            <if test="warrantybasis != null  and warrantybasis != ''"> and warrantybasis = #{warrantybasis}</if>
            <if test="costprice != null  and costprice != ''"> and costprice = #{costprice}</if>
            <if test="isbaox != null  and isbaox != ''"> and isbaox = #{isbaox}</if>
            <if test="softwaretype != null  and softwaretype != ''"> and softwaretype = #{softwaretype}</if>
            <if test="ishavesoftware != null  and ishavesoftware != ''"> and ishavesoftware = #{ishavesoftware}</if>
            <if test="completeremark != null  and completeremark != ''"> and completeremark = #{completeremark}</if>
            <if test="zj != null  and zj != ''"> and zj = #{zj}</if>
            <if test="exampletest != null  and exampletest != ''"> and exampletest = #{exampletest}</if>
            <if test="taskarea != null  and taskarea != ''"> and taskarea = #{taskarea}</if>
            <if test="fundsfrom != null  and fundsfrom != ''"> and fundsfrom = #{fundsfrom}</if>
            <if test="examplequantity != null  and examplequantity != ''"> and examplequantity = #{examplequantity}</if>
            <if test="invoicetype != null  and invoicetype != ''"> and invoicetype = #{invoicetype}</if>
            <if test="cbgcsname != null  and cbgcsname != ''"> and cbgcsname like concat('%', #{cbgcsname}, '%')</if>
            <if test="producttype != null  and producttype != ''"> and producttype = #{producttype}</if>
            <if test="completeremarkdatetime != null "> and completeremarkdatetime = #{completeremarkdatetime}</if>
        </where>
    </select>
    
    <select id="selectKyTaskInfoByKey" parameterType="Long" resultMap="KyTaskInfoResult">
        <include refid="selectKyTaskInfoVo"/>
        where key = #{key}
    </select>

    <select id="getTaskCount" resultType="java.lang.Integer">
        select count(*) from ky_task_info;
    </select>
    <select id="seletcKyTaskInfoListByRanage" resultType="com.ruoyi.kyTask.domain.KyTaskInfo">
        select taskno, taskname, jhwcsj, processPercent, yzsl,yzjdname,xhname,zrbm,jycs,hxzxid,tasktype,AuditPrice,iflag,Brief,RefTaskNo,pcCode,bcCode,blCode,BusinessMan
        from ky_task_info limit #{beginOffset},#{size}
    </select>

    <insert id="insertKyTaskInfo" parameterType="KyTaskInfo" useGeneratedKeys="true" keyProperty="key">
        insert into ky_task_info
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="taskno != null">taskno,</if>
            <if test="taskname != null">taskname,</if>
            <if test="modelId != null">modelId,</if>
            <if test="ywbkid != null">ywbkid,</if>
            <if test="ywbkname != null">ywbkname,</if>
            <if test="xhid != null">xhid,</if>
            <if test="xhname != null">xhname,</if>
            <if test="zrbm != null">zrbm,</if>
            <if test="yzsl != null">yzsl,</if>
            <if test="mjid != null">mjid,</if>
            <if test="mjname != null">mjname,</if>
            <if test="fxtid != null">fxtid,</if>
            <if test="fxtname != null">fxtname,</if>
            <if test="yzjdid != null">yzjdid,</if>
            <if test="yzjdname != null">yzjdname,</if>
            <if test="tcdw != null">tcdw,</if>
            <if test="brief != null">brief,</if>
            <if test="rwnr != null">rwnr,</if>
            <if test="wcxs != null">wcxs,</if>
            <if test="jylbid != null">jylbid,</if>
            <if test="jylbname != null">jylbname,</if>
            <if test="hxzxid != null">hxzxid,</if>
            <if test="hxzxname != null">hxzxname,</if>
            <if test="jjid != null">jjid,</if>
            <if test="jjname != null">jjname,</if>
            <if test="wzktid != null">wzktid,</if>
            <if test="wzktname != null">wzktname,</if>
            <if test="bz != null">bz,</if>
            <if test="status != null">status,</if>
            <if test="jhkssj != null">jhkssj,</if>
            <if test="jhwcsj != null">jhwcsj,</if>
            <if test="jycsid != null">jycsid,</if>
            <if test="jycs != null">jycs,</if>
            <if test="jyfzrid != null">jyfzrid,</if>
            <if test="jyfzrname != null">jyfzrname,</if>
            <if test="ztdd != null">ztdd,</if>
            <if test="ztddname != null">ztddname,</if>
            <if test="sybdd != null">sybdd,</if>
            <if test="sybddname != null">sybddname,</if>
            <if test="ywfzr != null">ywfzr,</if>
            <if test="ywfzrname != null">ywfzrname,</if>
            <if test="zlgcs != null">zlgcs,</if>
            <if test="zlgcsname != null">zlgcsname,</if>
            <if test="cpbzr != null">cpbzr,</if>
            <if test="cpbzrname != null">cpbzrname,</if>
            <if test="sjkssj != null">sjkssj,</if>
            <if test="sjwcsj != null">sjwcsj,</if>
            <if test="avidm != null">avidm,</if>
            <if test="lrsj != null">lrsj,</if>
            <if test="xhzzr != null">xhzzr,</if>
            <if test="xhzzrname != null">xhzzrname,</if>
            <if test="csbh != null">csbh,</if>
            <if test="ywcs != null">ywcs,</if>
            <if test="ID != null">ID,</if>
            <if test="PNCode != null">PNCode,</if>
            <if test="Emergent != null">Emergent,</if>
            <if test="zrbmGuid != null">zrbm_guid,</if>
            <if test="businessMan != null">businessMan,</if>
            <if test="auditPrice != null">auditPrice,</if>
            <if test="tasktype != null">tasktype,</if>
            <if test="tasktypes != null">tasktypes,</if>
            <if test="processPercent != null">processPercent,</if>
            <if test="estimationCoat != null">estimationCoat,</if>
            <if test="iflag != null">iflag,</if>
            <if test="processDate != null">processDate,</if>
            <if test="processUser != null">processUser,</if>
            <if test="refTaskNo != null">refTaskNo,</if>
            <if test="warranty != null">warranty,</if>
            <if test="warrantyUnit != null">warrantyUnit,</if>
            <if test="contractLimit != null">contractLimit,</if>
            <if test="businessManName != null">businessManName,</if>
            <if test="pccode != null">pccode,</if>
            <if test="bccode != null">bccode,</if>
            <if test="blcode != null">blcode,</if>
            <if test="gdtext != null">gdtext,</if>
            <if test="contractsign != null">contractsign,</if>
            <if test="thirdparty != null">thirdparty,</if>
            <if test="khkk != null">khkk,</if>
            <if test="currenttask != null">currenttask,</if>
            <if test="isunittestproject != null">isunittestproject,</if>
            <if test="gkdj != null">gkdj,</if>
            <if test="zjname != null">zjname,</if>
            <if test="zhuazhorgidname != null">zhuazhorgidname,</if>
            <if test="specialtask != null">specialtask,</if>
            <if test="mainprojectno != null">mainprojectno,</if>
            <if test="htyf != null">htyf,</if>
            <if test="isjues != null">isjues,</if>
            <if test="projectaccountno != null">projectaccountno,</if>
            <if test="projectgatherno != null">projectgatherno,</if>
            <if test="jxno != null">jxno,</if>
            <if test="issendtogongchzhx != null">issendtogongchzhx,</if>
            <if test="application != null">application,</if>
            <if test="pay != null">pay,</if>
            <if test="reviewer != null">reviewer,</if>
            <if test="softwaretype1 != null">softwaretype1,</if>
            <if test="software != null">software,</if>
            <if test="foreigntrade != null">foreigntrade,</if>
            <if test="jfqk != null">jfqk,</if>
            <if test="wzsbno != null">wzsbno,</if>
            <if test="productspec != null">productspec,</if>
            <if test="name != null">name,</if>
            <if test="briefname != null">briefname,</if>
            <if test="processpercent1 != null">processpercent1,</if>
            <if test="estimationcoat1 != null">estimationcoat1,</if>
            <if test="wzjhyname != null">wzjhyname,</if>
            <if test="warrantybasis != null">warrantybasis,</if>
            <if test="costprice != null">costprice,</if>
            <if test="isbaox != null">isbaox,</if>
            <if test="softwaretype != null">softwaretype,</if>
            <if test="ishavesoftware != null">ishavesoftware,</if>
            <if test="completeremark != null">completeremark,</if>
            <if test="zj != null">zj,</if>
            <if test="exampletest != null">exampletest,</if>
            <if test="taskarea != null">taskarea,</if>
            <if test="fundsfrom != null">fundsfrom,</if>
            <if test="examplequantity != null">examplequantity,</if>
            <if test="invoicetype != null">invoicetype,</if>
            <if test="cbgcsname != null">cbgcsname,</if>
            <if test="producttype != null">producttype,</if>
            <if test="completeremarkdatetime != null">completeremarkdatetime,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="taskno != null">#{taskno},</if>
            <if test="taskname != null">#{taskname},</if>
            <if test="modelId != null">#{modelId},</if>
            <if test="ywbkid != null">#{ywbkid},</if>
            <if test="ywbkname != null">#{ywbkname},</if>
            <if test="xhid != null">#{xhid},</if>
            <if test="xhname != null">#{xhname},</if>
            <if test="zrbm != null">#{zrbm},</if>
            <if test="yzsl != null">#{yzsl},</if>
            <if test="mjid != null">#{mjid},</if>
            <if test="mjname != null">#{mjname},</if>
            <if test="fxtid != null">#{fxtid},</if>
            <if test="fxtname != null">#{fxtname},</if>
            <if test="yzjdid != null">#{yzjdid},</if>
            <if test="yzjdname != null">#{yzjdname},</if>
            <if test="tcdw != null">#{tcdw},</if>
            <if test="brief != null">#{brief},</if>
            <if test="rwnr != null">#{rwnr},</if>
            <if test="wcxs != null">#{wcxs},</if>
            <if test="jylbid != null">#{jylbid},</if>
            <if test="jylbname != null">#{jylbname},</if>
            <if test="hxzxid != null">#{hxzxid},</if>
            <if test="hxzxname != null">#{hxzxname},</if>
            <if test="jjid != null">#{jjid},</if>
            <if test="jjname != null">#{jjname},</if>
            <if test="wzktid != null">#{wzktid},</if>
            <if test="wzktname != null">#{wzktname},</if>
            <if test="bz != null">#{bz},</if>
            <if test="status != null">#{status},</if>
            <if test="jhkssj != null">#{jhkssj},</if>
            <if test="jhwcsj != null">#{jhwcsj},</if>
            <if test="jycsid != null">#{jycsid},</if>
            <if test="jycs != null">#{jycs},</if>
            <if test="jyfzrid != null">#{jyfzrid},</if>
            <if test="jyfzrname != null">#{jyfzrname},</if>
            <if test="ztdd != null">#{ztdd},</if>
            <if test="ztddname != null">#{ztddname},</if>
            <if test="sybdd != null">#{sybdd},</if>
            <if test="sybddname != null">#{sybddname},</if>
            <if test="ywfzr != null">#{ywfzr},</if>
            <if test="ywfzrname != null">#{ywfzrname},</if>
            <if test="zlgcs != null">#{zlgcs},</if>
            <if test="zlgcsname != null">#{zlgcsname},</if>
            <if test="cpbzr != null">#{cpbzr},</if>
            <if test="cpbzrname != null">#{cpbzrname},</if>
            <if test="sjkssj != null">#{sjkssj},</if>
            <if test="sjwcsj != null">#{sjwcsj},</if>
            <if test="avidm != null">#{avidm},</if>
            <if test="lrsj != null">#{lrsj},</if>
            <if test="xhzzr != null">#{xhzzr},</if>
            <if test="xhzzrname != null">#{xhzzrname},</if>
            <if test="csbh != null">#{csbh},</if>
            <if test="ywcs != null">#{ywcs},</if>
            <if test="ID != null">#{ID},</if>
            <if test="PNCode != null">#{PNCode},</if>
            <if test="Emergent != null">#{Emergent},</if>
            <if test="zrbmGuid != null">#{zrbmGuid},</if>
            <if test="businessMan != null">#{businessMan},</if>
            <if test="auditPrice != null">#{auditPrice},</if>
            <if test="tasktype != null">#{tasktype},</if>
            <if test="tasktypes != null">#{tasktypes},</if>
            <if test="processPercent != null">#{processPercent},</if>
            <if test="estimationCoat != null">#{estimationCoat},</if>
            <if test="iflag != null">#{iflag},</if>
            <if test="processDate != null">#{processDate},</if>
            <if test="processUser != null">#{processUser},</if>
            <if test="refTaskNo != null">#{refTaskNo},</if>
            <if test="warranty != null">#{warranty},</if>
            <if test="warrantyUnit != null">#{warrantyUnit},</if>
            <if test="contractLimit != null">#{contractLimit},</if>
            <if test="businessManName != null">#{businessManName},</if>
            <if test="pccode != null">#{pccode},</if>
            <if test="bccode != null">#{bccode},</if>
            <if test="blcode != null">#{blcode},</if>
            <if test="gdtext != null">#{gdtext},</if>
            <if test="contractsign != null">#{contractsign},</if>
            <if test="thirdparty != null">#{thirdparty},</if>
            <if test="khkk != null">#{khkk},</if>
            <if test="currenttask != null">#{currenttask},</if>
            <if test="isunittestproject != null">#{isunittestproject},</if>
            <if test="gkdj != null">#{gkdj},</if>
            <if test="zjname != null">#{zjname},</if>
            <if test="zhuazhorgidname != null">#{zhuazhorgidname},</if>
            <if test="specialtask != null">#{specialtask},</if>
            <if test="mainprojectno != null">#{mainprojectno},</if>
            <if test="htyf != null">#{htyf},</if>
            <if test="isjues != null">#{isjues},</if>
            <if test="projectaccountno != null">#{projectaccountno},</if>
            <if test="projectgatherno != null">#{projectgatherno},</if>
            <if test="jxno != null">#{jxno},</if>
            <if test="issendtogongchzhx != null">#{issendtogongchzhx},</if>
            <if test="application != null">#{application},</if>
            <if test="pay != null">#{pay},</if>
            <if test="reviewer != null">#{reviewer},</if>
            <if test="softwaretype1 != null">#{softwaretype1},</if>
            <if test="software != null">#{software},</if>
            <if test="foreigntrade != null">#{foreigntrade},</if>
            <if test="jfqk != null">#{jfqk},</if>
            <if test="wzsbno != null">#{wzsbno},</if>
            <if test="productspec != null">#{productspec},</if>
            <if test="name != null">#{name},</if>
            <if test="briefname != null">#{briefname},</if>
            <if test="processpercent1 != null">#{processpercent1},</if>
            <if test="estimationcoat1 != null">#{estimationcoat1},</if>
            <if test="wzjhyname != null">#{wzjhyname},</if>
            <if test="warrantybasis != null">#{warrantybasis},</if>
            <if test="costprice != null">#{costprice},</if>
            <if test="isbaox != null">#{isbaox},</if>
            <if test="softwaretype != null">#{softwaretype},</if>
            <if test="ishavesoftware != null">#{ishavesoftware},</if>
            <if test="completeremark != null">#{completeremark},</if>
            <if test="zj != null">#{zj},</if>
            <if test="exampletest != null">#{exampletest},</if>
            <if test="taskarea != null">#{taskarea},</if>
            <if test="fundsfrom != null">#{fundsfrom},</if>
            <if test="examplequantity != null">#{examplequantity},</if>
            <if test="invoicetype != null">#{invoicetype},</if>
            <if test="cbgcsname != null">#{cbgcsname},</if>
            <if test="producttype != null">#{producttype},</if>
            <if test="completeremarkdatetime != null">#{completeremarkdatetime},</if>
         </trim>
    </insert>

    <update id="updateKyTaskInfo" parameterType="KyTaskInfo">
        update ky_task_info
        <trim prefix="SET" suffixOverrides=",">
            <if test="taskno != null">taskno = #{taskno},</if>
            <if test="taskname != null">taskname = #{taskname},</if>
            <if test="modelId != null">modelId = #{modelId},</if>
            <if test="ywbkid != null">ywbkid = #{ywbkid},</if>
            <if test="ywbkname != null">ywbkname = #{ywbkname},</if>
            <if test="xhid != null">xhid = #{xhid},</if>
            <if test="xhname != null">xhname = #{xhname},</if>
            <if test="zrbm != null">zrbm = #{zrbm},</if>
            <if test="yzsl != null">yzsl = #{yzsl},</if>
            <if test="mjid != null">mjid = #{mjid},</if>
            <if test="mjname != null">mjname = #{mjname},</if>
            <if test="fxtid != null">fxtid = #{fxtid},</if>
            <if test="fxtname != null">fxtname = #{fxtname},</if>
            <if test="yzjdid != null">yzjdid = #{yzjdid},</if>
            <if test="yzjdname != null">yzjdname = #{yzjdname},</if>
            <if test="tcdw != null">tcdw = #{tcdw},</if>
            <if test="brief != null">brief = #{brief},</if>
            <if test="rwnr != null">rwnr = #{rwnr},</if>
            <if test="wcxs != null">wcxs = #{wcxs},</if>
            <if test="jylbid != null">jylbid = #{jylbid},</if>
            <if test="jylbname != null">jylbname = #{jylbname},</if>
            <if test="hxzxid != null">hxzxid = #{hxzxid},</if>
            <if test="hxzxname != null">hxzxname = #{hxzxname},</if>
            <if test="jjid != null">jjid = #{jjid},</if>
            <if test="jjname != null">jjname = #{jjname},</if>
            <if test="wzktid != null">wzktid = #{wzktid},</if>
            <if test="wzktname != null">wzktname = #{wzktname},</if>
            <if test="bz != null">bz = #{bz},</if>
            <if test="status != null">status = #{status},</if>
            <if test="jhkssj != null">jhkssj = #{jhkssj},</if>
            <if test="jhwcsj != null">jhwcsj = #{jhwcsj},</if>
            <if test="jycsid != null">jycsid = #{jycsid},</if>
            <if test="jycs != null">jycs = #{jycs},</if>
            <if test="jyfzrid != null">jyfzrid = #{jyfzrid},</if>
            <if test="jyfzrname != null">jyfzrname = #{jyfzrname},</if>
            <if test="ztdd != null">ztdd = #{ztdd},</if>
            <if test="ztddname != null">ztddname = #{ztddname},</if>
            <if test="sybdd != null">sybdd = #{sybdd},</if>
            <if test="sybddname != null">sybddname = #{sybddname},</if>
            <if test="ywfzr != null">ywfzr = #{ywfzr},</if>
            <if test="ywfzrname != null">ywfzrname = #{ywfzrname},</if>
            <if test="zlgcs != null">zlgcs = #{zlgcs},</if>
            <if test="zlgcsname != null">zlgcsname = #{zlgcsname},</if>
            <if test="cpbzr != null">cpbzr = #{cpbzr},</if>
            <if test="cpbzrname != null">cpbzrname = #{cpbzrname},</if>
            <if test="sjkssj != null">sjkssj = #{sjkssj},</if>
            <if test="sjwcsj != null">sjwcsj = #{sjwcsj},</if>
            <if test="avidm != null">avidm = #{avidm},</if>
            <if test="lrsj != null">lrsj = #{lrsj},</if>
            <if test="xhzzr != null">xhzzr = #{xhzzr},</if>
            <if test="xhzzrname != null">xhzzrname = #{xhzzrname},</if>
            <if test="csbh != null">csbh = #{csbh},</if>
            <if test="ywcs != null">ywcs = #{ywcs},</if>
            <if test="ID != null">ID = #{ID},</if>
            <if test="PNCode != null">PNCode = #{PNCode},</if>
            <if test="Emergent != null">Emergent = #{Emergent},</if>
            <if test="zrbmGuid != null">zrbm_guid = #{zrbmGuid},</if>
            <if test="businessMan != null">businessMan = #{businessMan},</if>
            <if test="auditPrice != null">auditPrice = #{auditPrice},</if>
            <if test="tasktype != null">tasktype = #{tasktype},</if>
            <if test="tasktypes != null">tasktypes = #{tasktypes},</if>
            <if test="processPercent != null">processPercent = #{processPercent},</if>
            <if test="estimationCoat != null">estimationCoat = #{estimationCoat},</if>
            <if test="iflag != null">iflag = #{iflag},</if>
            <if test="processDate != null">processDate = #{processDate},</if>
            <if test="processUser != null">processUser = #{processUser},</if>
            <if test="refTaskNo != null">refTaskNo = #{refTaskNo},</if>
            <if test="warranty != null">warranty = #{warranty},</if>
            <if test="warrantyUnit != null">warrantyUnit = #{warrantyUnit},</if>
            <if test="contractLimit != null">contractLimit = #{contractLimit},</if>
            <if test="businessManName != null">businessManName = #{businessManName},</if>
            <if test="pccode != null">pccode = #{pccode},</if>
            <if test="bccode != null">bccode = #{bccode},</if>
            <if test="blcode != null">blcode = #{blcode},</if>
            <if test="gdtext != null">gdtext = #{gdtext},</if>
            <if test="contractsign != null">contractsign = #{contractsign},</if>
            <if test="thirdparty != null">thirdparty = #{thirdparty},</if>
            <if test="khkk != null">khkk = #{khkk},</if>
            <if test="currenttask != null">currenttask = #{currenttask},</if>
            <if test="isunittestproject != null">isunittestproject = #{isunittestproject},</if>
            <if test="gkdj != null">gkdj = #{gkdj},</if>
            <if test="zjname != null">zjname = #{zjname},</if>
            <if test="zhuazhorgidname != null">zhuazhorgidname = #{zhuazhorgidname},</if>
            <if test="specialtask != null">specialtask = #{specialtask},</if>
            <if test="mainprojectno != null">mainprojectno = #{mainprojectno},</if>
            <if test="htyf != null">htyf = #{htyf},</if>
            <if test="isjues != null">isjues = #{isjues},</if>
            <if test="projectaccountno != null">projectaccountno = #{projectaccountno},</if>
            <if test="projectgatherno != null">projectgatherno = #{projectgatherno},</if>
            <if test="jxno != null">jxno = #{jxno},</if>
            <if test="issendtogongchzhx != null">issendtogongchzhx = #{issendtogongchzhx},</if>
            <if test="application != null">application = #{application},</if>
            <if test="pay != null">pay = #{pay},</if>
            <if test="reviewer != null">reviewer = #{reviewer},</if>
            <if test="softwaretype1 != null">softwaretype1 = #{softwaretype1},</if>
            <if test="software != null">software = #{software},</if>
            <if test="foreigntrade != null">foreigntrade = #{foreigntrade},</if>
            <if test="jfqk != null">jfqk = #{jfqk},</if>
            <if test="wzsbno != null">wzsbno = #{wzsbno},</if>
            <if test="productspec != null">productspec = #{productspec},</if>
            <if test="name != null">name = #{name},</if>
            <if test="briefname != null">briefname = #{briefname},</if>
            <if test="processpercent1 != null">processpercent1 = #{processpercent1},</if>
            <if test="estimationcoat1 != null">estimationcoat1 = #{estimationcoat1},</if>
            <if test="wzjhyname != null">wzjhyname = #{wzjhyname},</if>
            <if test="warrantybasis != null">warrantybasis = #{warrantybasis},</if>
            <if test="costprice != null">costprice = #{costprice},</if>
            <if test="isbaox != null">isbaox = #{isbaox},</if>
            <if test="softwaretype != null">softwaretype = #{softwaretype},</if>
            <if test="ishavesoftware != null">ishavesoftware = #{ishavesoftware},</if>
            <if test="completeremark != null">completeremark = #{completeremark},</if>
            <if test="zj != null">zj = #{zj},</if>
            <if test="exampletest != null">exampletest = #{exampletest},</if>
            <if test="taskarea != null">taskarea = #{taskarea},</if>
            <if test="fundsfrom != null">fundsfrom = #{fundsfrom},</if>
            <if test="examplequantity != null">examplequantity = #{examplequantity},</if>
            <if test="invoicetype != null">invoicetype = #{invoicetype},</if>
            <if test="cbgcsname != null">cbgcsname = #{cbgcsname},</if>
            <if test="producttype != null">producttype = #{producttype},</if>
            <if test="completeremarkdatetime != null">completeremarkdatetime = #{completeremarkdatetime},</if>
        </trim>
        where key = #{key}
    </update>

    <delete id="deleteKyTaskInfoByKey" parameterType="Long">
        delete from ky_task_info where key = #{key}
    </delete>

    <delete id="deleteKyTaskInfoByKeys" parameterType="String">
        delete from ky_task_info where key in 
        <foreach item="key" collection="array" open="(" separator="," close=")">
            #{key}
        </foreach>
    </delete>
</mapper>